Pagina 1 di 2

installare network manager!!

Inviato: mer mag 23, 2012 19:12
da deadcandance
ciao...
allora,ho un piccolo problema che non riesco a risolvere,ed in particolare ho la necessità di installare network manager su slack 1337....
ho cercato quindi i pacchetti con sbopkg ed ho installato i vari file che mi sono trovato...a questo punto dovrei avere nell'area di notifica l'applet di NM ma niente....

qualcuno sa aiutarmi?
purtroppo non posso farne a meno a causa di una vpn che mi serve e non ho il tempo di configurare manualmente...mi prende troppo tempo!!!

grazie per l'aiuto

ciao

Re: installare network manager!!

Inviato: mer mag 23, 2012 19:33
da hashbang
Quando provai XFCE 4.8 di rworkman su Slacky.eu, i pacchetti di Network Manager erano più di uno, tra cui quello dell'applet.
Ti linko il suo repository.
Controlla se sbopkg ha installato tutti questi tre pacchetti.

Re: installare network manager!!

Inviato: mer mag 23, 2012 19:47
da deadcandance
ciao...
ho installato tutti e tre i pacchetti,ma continua a non funzionare...
non capisco il perchè...
grazie per l'aiuto...

Re: installare network manager!!

Inviato: mer mag 23, 2012 19:53
da hashbang
Mmmm....ora non ricordo bene come funziona XFCE.
Domanda stupida: hai provato a cercare nella lista delle applet disponibili per il pannello?

Re: installare network manager!!

Inviato: mer mag 23, 2012 20:01
da deadcandance
sinceramente non mi è chiara la tua domanda....

comunque con debian con xfce4 il tutto funziona benissimo...

Re: installare network manager!!

Inviato: mer mag 23, 2012 22:54
da slux
Ciao,
se una volta loggato in xfce,apri un terminale e lanci a mano nm-applet,cosa succede?Magari hai saltato una dipendenza.Io uso la versione 0.9.4 con i plugin OpenVpn e PPTP su XFCE 4.10 (mamma mia quanto mi piace questa versione!!! \:D/ ) su una current "abbastanza" recente,ma non avevo problemi nemmeno su una 13.37 vanilla ed xfce 4.6.2

Re: installare network manager!!

Inviato: gio mag 24, 2012 0:11
da deadcandance
allora,mancava una dipendenza,ed in particolare una libreria,libgnome-keyring...
l'ho installata e quindi ho mandato nuovamente nm-applet,ma il risultato è il seguente:

Codice: Seleziona tutto

GConf Error: Failed to contact configuration server; the most common cause is a missing or misconfigured D-Bus session bus daemon. See http://projects.gnome.org/gconf/ for information. (Details -  1: GetIOR failed: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.GConf was not provided by any .service files)

(nm-applet:2171): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before it's set.
The overwriting error message was: The name org.freedesktop.NetworkManager was not provided by any .service files
Errore di segmentazione


ora non so come risolvere....
grazie per l'aiuto...

Re: installare network manager!!

Inviato: gio mag 24, 2012 8:23
da slux

Re: installare network manager!!

Inviato: gio mag 24, 2012 13:14
da deadcandance
non è il mio caso!!

Codice: Seleziona tutto

# /etc/NetworkManager/NetworkManager.conf
#
# See NetworkManager.conf(5) for more information on this file

[main]
plugins=keyfile
dhcp=dhcpcd

[keyfile]
hostname=darkstar


Re: installare network manager!!

Inviato: gio mag 24, 2012 18:22
da marlavo
deadcandance ha scritto:allora,mancava una dipendenza,ed in particolare una libreria,libgnome-keyring...
l'ho installata e quindi ho mandato nuovamente nm-applet,ma il risultato è il seguente:

Codice: Seleziona tutto

GConf Error: Failed to contact configuration server; the most common cause is a missing or misconfigured D-Bus session bus daemon. See http://projects.gnome.org/gconf/ for information. (Details -  1: GetIOR failed: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.GConf was not provided by any .service files)

(nm-applet:2171): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before it's set.
The overwriting error message was: The name org.freedesktop.NetworkManager was not provided by any .service files
Errore di segmentazione


ora non so come risolvere....
grazie per l'aiuto...


Io uso NM su Slackware64 13.37 e funziona discretamente. Questa è la lista dei pacchetti che uso:

Codice: Seleziona tutto

gnome-keyring-2.32.1-x86_64-1_SBo
libgnome-keyring-2.32.0-x86_64-1_SBo
libtasn1-2.9-x86_64-1sl
mobile-broadband-provider-info-20110511-x86_64-1_SBo
ModemManager-0.5-x86_64-1_SBo
network-manager-applet-0.8.6.0-x86_64-1_SBo
NetworkManager-0.8.6.0-x86_64-1_SBo
NetworkManager-vpnc-0.8.6.0-x86_64-1_SBo

Avevo provato ad usare gli slackbuild per installare una versione più recente, mi sembra la 0.9.4, non ricordo, ma avevo problemi a compilare il pacchetto per vpnc, che utilizzo, quindi sono rimasto a questa versione.
Hai provato a riavviare? Lo so, fa molto Windows :oops: , ma vengono installati dei .conf per dbus, quindi o riavvii dbus oppurere fai un reboot così sei sicuro di non dimenticare niente.

Re: installare network manager!!

Inviato: sab mag 26, 2012 0:31
da deadcandance
non riesco proprio ad uscirne...sono sempre allo stesso punto....
comunque non riesco a trovare questo pacchetto:
mobile-broadband-provider-info-20110511-x86_64-1_SBo
e poi mi dice che manca questa libreria che non so nemmeno dove trovare...
libnm-glib.so.4

grazie per l'aiuto...

Re: installare network manager!!

Inviato: sab mag 26, 2012 10:34
da marlavo
deadcandance ha scritto:non riesco proprio ad uscirne...sono sempre allo stesso punto....
comunque non riesco a trovare questo pacchetto:
mobile-broadband-provider-info-20110511-x86_64-1_SBo
e poi mi dice che manca questa libreria che non so nemmeno dove trovare...
libnm-glib.so.4

grazie per l'aiuto...

Il pacchetto mobile-broadband-provider-info-20110511-x86_64-1_SBo non è indispensabile al funzionamento di NM, serve solo se usi una chiavetta UMTS, comunque lo puoi trovare qui http://slackbuilds.org/repository/13.37/network/mobile-broadband-provider-info/

libnm-glib.so.4... :-k Io ho libnm-glib.so.2, che è un link a libnm-glib.so.2.5.0, che fa parte del package NetworkManager-0.8.6.0-x86_64-1_SBo.
Ma tu che versione hai? Fai un

Codice: Seleziona tutto

 ls /var/log/packages/NetworkManager-*
e posta il risultato.
Inoltre prova anche un

Codice: Seleziona tutto

find /usr/lib* -name libnm-glib.so*

Re: installare network manager!!

Inviato: sab mag 26, 2012 17:16
da deadcandance
bash-4.1# ls /var/log/packages/NetworkManager-*
/var/log/packages/NetworkManager-0.8.2-i486-5_SBo
/var/log/packages/NetworkManager-openvpn-0.9.4.0-i486-1_rlw
bash-4.1#



Codice: Seleziona tutto

bash-4.1#     find /usr/lib* -name libnm-glib.so*
/usr/lib/libnm-glib.so.2
/usr/lib/libnm-glib.so.2.4.2
/usr/lib/libnm-glib.so
bash-4.1#


cosa consigli di fare? un collegamento simbolico?

Re: installare network manager!!

Inviato: sab mag 26, 2012 19:10
da marlavo
deadcandance ha scritto:
bash-4.1# ls /var/log/packages/NetworkManager-*
/var/log/packages/NetworkManager-0.8.2-i486-5_SBo
/var/log/packages/NetworkManager-openvpn-0.9.4.0-i486-1_rlw
bash-4.1#



Codice: Seleziona tutto

bash-4.1#     find /usr/lib* -name libnm-glib.so*
/usr/lib/libnm-glib.so.2
/usr/lib/libnm-glib.so.2.4.2
/usr/lib/libnm-glib.so
bash-4.1#


cosa consigli di fare? un collegamento simbolico?

Puoi provare, ma non garantisco che funzioni.
Piuttosto, vedo che hai un "mix" di pacchetti, sia SBo che rlw. Io proverei a rimuovere tutti i pacchetti di NM che hai installati e a ricompilare partendo da qui:
http://slackbuilds.org/repository/13.37/network/NetworkManager/
e installando gli altri pacchetti dipendenti usando la lista che ti ho dato come riferimento. Con quelle versioni a me funziona (sono su una 13.37 x64 ma i sorgenti sono quelli di SBo).
Credo che il tuo problema nasca dall'avere pacchetti di vari repositori, e quelli di RWORKMAN credo siano per current, o comunque sono di una release diversa (0.9.4.0 vs 0.8.2)

Re: installare network manager!!

Inviato: sab mag 26, 2012 20:07
da deadcandance
ciao...
scusami,ma potresti ricordarmi come compilare con gli slackbuild? :oops: